=== testsuite/json/P401-004/Makefile ===
default: build

build:
	gprbuild -m -s -Xosx_support_atos=on -P example.gpr

clean:
	gnat clean -P example.gpr

test: build
	bash testit.sh
