=== debian/changelog ===
libgnatcoll (17.0.2017-3) unstable; urgency=medium

  * Make testsuite more verbose. Closes: #872081.
  * Build-Depend latexmk for LaTeX sphinx-doc module. Closes: #872204.
  * Build-Depend: python3 version of sphinx-doc. Patch conf.py.
  * Standards-Version: 4.1.0.
  * Rebuild with libgpr 2017-5 (because of libxmlada-unicode).
    -dev version is already new in testing.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 16:54:43 +0200

libgnatcoll (17.0.2017-2) unstable; urgency=medium

  * Upload to unstable.
  * The switch to gcc-7 requires a SO version bump for each library,
    except gnatcoll, g-python, g-xref, already new in unstable.
    The Break/Replace with previous -dev becomes implicit in unstable.
  * Disable parallel doc generation to prevent #869098.
  * Standards-Version: 4.0.1. Priority: optional.
  * Vcs-Mtn: new URI format.
  * clean objects forgotten by aclocal.m4.
  * Build-Depends: renamed texlive-plain-generic.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 12:42:17 +0200

libgnatcoll (17.0.2017-1) experimental; urgency=medium

  * New upstream release, two new packages for the gnatcoll-xref library.
    No ALI/SO bump in experimental.
  * Build with gnat-7, which deals with SOURCE_DATE_EPOCH directly.
  * Debhelper 10, which deals with autoconf generated stuff.
  * Standards-Version: 4.0.0. Downgrade -doc to Suggests.
    HTTPS URL for copyright format. Handle DEB_BUILD_OPTIONS=nodoc.
  * Allow -doc package to satisfy multi-arch foreign dependencies.
  * PDFLatex now handles SOURCE_DATE_EPOCH without faketime.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Jul 2017 01:44:33 +0200

libgnatcoll (16.1.0-1) experimental; urgency=medium

  * New upstream release. Update to ligtkada16.1.0-dev.
    Replace libgnatprj/vsn, dropped by GCC with libgpr from gprbuild.
    Bump ALI versions and conflict/break previous -dev per Ada policy.
    Bump SO versions for gnatcoll and gnatcoll-python.
  * Remove many patches to upstream Makefile and invoke gprbuild directly.
    Upstream prefers a reduced set of well tested configurations.
  * remove generate-sources-timestamp.diff, but regenerate the sources after
    the build and fail if they differ with the ones from the tarball.
  * python_single_statement_set_default_console.diff was waiting an ALI bump.
  * Select all hardening flags, gprbuild will override pie when needed.
  * C sources, ignored in ALI files, do not require predictible timestamps.
  * Simplify watch file thanks to version 4 format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 21 Aug 2016 17:48:30 +0200
