=== debian/control ===
Source: libgnatcoll
Priority: optional
Section: misc
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
 gnat, gnat-7,
# This line is parsed by d/rules.
# dh-ada-library allowing .ada extension.
 dh-ada-library (>= 6.10),
# gprbuild cleaning auto.cgpr.
 gprbuild (>= 2017),
 libgpr1-dev (>= 2017-5),
# Implicit libc6-dev provides: iconv, syslog.
 libgmp-dev,
 libgtkada16.1.0-dev, pkg-config, python-gi-dev,
 python-dev, libpython-dev,
 libreadline-dev,
 libsqlite3-dev
Build-Depends-Indep:
# Formatting (python3-sphinx is experimental)
 python3-sphinx,
 latexmk,
# Sphinx >= 1.6 uses the latexmk driver.
 texlive-fonts-recommended,
# sphinx-doc requires iftex.sty:
 texlive-plain-generic,
 texlive-latex-extra
# dh_sphinxdoc
 ,sphinx-common
Homepage: http://libre.adacore.com/libre/tools
Standards-Version: 4.1.0
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgnatcoll
Vcs-Mtn: mtn://www.ada-france.org?org.debian.libgnatcoll

Package: libgnatcoll16.1.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications.

Package: libgnatcoll-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Description: GNATColl, general purpose Ada library (documentation)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the documentation in text, PDF and HTML.

Package: libgnatcoll16.1.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library.

######################################################################

Package: libgnatcoll-python16.1.0-dev
Section: libdevel
Architecture: any
Depends: libpython-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (Python)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 adding Python as scripting language.

Package: libgnatcoll-python16.1.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (Python runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for Python
 scripting.

######################################################################

Package: libgnatcoll-iconv16.1.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (iconv)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the Iconv C library.

Package: libgnatcoll-iconv17.0.2017
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (iconv runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the iconv
 binding.

######################################################################

Package: libgnatcoll-sqlite16.1.0-dev
Section: libdevel
Architecture: any
Depends: libsqlite3-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (SQLite)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 dedicated to SQLite databases manipulation.

Package: libgnatcoll-sqlite17.0.2017
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (sqlite runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the SQLite
 extension.

Package: libgnatcoll-sqlite-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# gnat-gps used to provide gnatinspect.
Breaks: gnat-gps (<< 5.3-4)
Replaces: gnat-gps (<< 5.3-4)
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (SQLite tools)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the tools dedicated to SQLite database
 manipulation (gnatcoll_db2ada and gnatinspect).

######################################################################

Package: libgnatcoll-readline16.1.0-dev
Section: libdevel
Architecture: any
Depends: libreadline-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (readline)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with GNU readline and history libraries.

Package: libgnatcoll-readline17.0.2017
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (readline runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the readline
 binding.

######################################################################

Package: libgnatcoll-gmp16.1.0-dev
Section: libdevel
Architecture: any
Depends: libgmp-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (GMP)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the GNU Multiprecision arithmetic C library.

Package: libgnatcoll-gmp17.0.2017
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (GMP runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the GMP binding.

######################################################################

Package: libgnatcoll-gtk16.1.0-dev
Section: libdevel
Architecture: any
Depends: python-gi-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (GTKAda)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the GTKAda extension.

Package: libgnatcoll-gtk17.0.2017
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (GTKAda runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the GTKAda
 extension.

######################################################################

Package: libgnatcoll-xref17.0.2017-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (XRef)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the XRef extension.

Package: libgnatcoll-xref17.0.2017
