=== debian/tests/control ===
Tests: examples projects
Depends: @, gprbuild
