=== debian/changelog ===
libgnatcoll (18-4) unstable; urgency=medium

  * Debhelper 12. No need for d/compat anymore.
  * Standards-Version: 4.3.0.

  [ Dmitry Shachnev <mitya57@debian.org> ]
  * Remove unused and obsolete pngmath sphinx extension. Closes: #918816.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Jan 2019 19:04:22 +0100

libgnatcoll (18-3) unstable; urgency=medium

  * The binary packages were introduced by the gnat-8 transition (#908931),
    but appear as new in unstable because of the two FTBS below.
  * Prevent Makefile from messing with gprconfig. Fixes i386, hurd-i386.
  * Depend gprbuild >= 2018-3. Fixes static archive on most architectures.
  * Standards-Version: 4.2.1. Rules-Requires-Root: no.
  * More checks in link options.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 01 Nov 2018 18:02:17 +0100

libgnatcoll (18-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:56 +0200

libgnatcoll (18-1) experimental; urgency=medium

  * New upstream release, splitting former libgnatcoll source package.
    Some components move to libgnatcoll-bindings or libgnatcoll-db.
  * Remove more unwanted files.
  * Add previously forgotten copyright for getRSS.c.
  * Fix path to documentation in gps xml registration.
  * Link with libdl to fix a build failure.
  * Enable parallel build of documentation, #869098 is fixed.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 22 Jun 2018 22:42:23 +0200

libgnatcoll (17.0.2017-5) experimental; urgency=medium

  * Rebuild with gnat-8, libgpr1-dev, libgtkada18-dev..
    Rename shared libraries and -dev packages per Debian Ada policy.
  * Remove watch file. Explain why in README.source.
  * Install documentation to libgnatcoll-doc.
    Doc is shared for all -dev packages, so the effort is wasted.
  * Remove override for lintian pedantic messages.
  * Update upstream home page.
  * Use forgotten sphinxdoc:Built-Using substitution variable.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 08:13:15 +0200

libgnatcoll (17.0.2017-4) unstable; urgency=medium

  * Upload to unstable.
  * Break+Replace: previous gtkada-dev package per Ada policy. Closes: #896570.
  * Standards-Version: 4.1.4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 17:17:56 +0200

libgnatcoll (17.0.2017-4~pre1) experimental; urgency=medium

  * Rebuild with libgtkada-dev updating gtk-gir, fixing gnat-gps.
    Ada policy requires a renaming of the libgnatcoll-gtk-dev package,
    but the fix does not affect the gnatcoll ABI and SO version.
  * Debhelper 11 and Standards-Version: 4.1.3.
    Move docs from /u/s/doc/*-doc to /u/s/doc/*-dev.
  * Build-Depends: drop obsolete version restriction on dpkg-dev.
  * python_single_statement_set_default_console.diff: fix serious typo.
  * Build-Depend: drop dpkg-dev obsolete version restriction.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 03 Mar 2018 14:28:59 +0100
