=== debian/control ===
Source: libgnatcoll
Priority: optional
Section: misc
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 gnat, gnat-8,
# This line is parsed to set gnat version.
# dh-ada-library allowing .ada extension.
 dh-ada-library (>= 6.10),
# gprbuild building static libraries.
 gprbuild (>= 2018-3),
 libgpr2-dev (>= 2017-5),
# Implicit libc6-dev provides: iconv, syslog.
Build-Depends-Indep:
 python3-sphinx,
 latexmk,
# Sphinx >= 1.6 uses the latexmk driver.
 texlive-fonts-recommended,
# sphinx-doc requires iftex.sty:
 texlive-plain-generic,
 texlive-latex-extra
# dh_sphinxdoc
 ,sphinx-common
Homepage: https://www.adacore.com/community
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgnatcoll
Vcs-Mtn: mtn://www.ada-france.org?org.debian.libgnatcoll

Package: libgnatcoll17-dev
# Such lines are parsed to set Ada Library Information versions.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications.

Package: libgnatcoll-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Description: GNATColl, general purpose Ada library (documentation)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the documentation in text, PDF and HTML.

Package: libgnatcoll17
# Such lines are parsed to set Shared Object versions.
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library.
