## libgnatcoll 19

=== debian/changelog ===
libgnatcoll (19-4) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Use debhelper 12 dh-sequenc syntax.
  * Wrap and sort build dependencies.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 15:28:56 +0100

libgnatcoll (19-3) experimental; urgency=medium

  * Use dh-sequence-* syntax for dh-ada-library.
    This also ensures a dh-ada-library updated for libgnatprj.
  * Remove redundant branch selection from Vcs-Git field.
  * Override doc-main-package to silent a warning by dh_installdocs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Dec 2019 23:32:05 +0100

libgnatcoll (19-2) experimental; urgency=medium

  * Standards-Version 4.4.1.
  * Rebuild against renamed libgpr-dev -> libgnatprj-dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Dec 2019 19:43:04 +0100

libgnatcoll (19-1) experimental; urgency=medium

  * New upstream release, built with gnat-9 and updated dependencies.
    Rename library and -dev package accordingly.
  * Move VCS to git and salsa.debian.org.
  * Standards-Version 4.4.0.
  * Forward most patches.
  * GCC-9 implicitly selects --as-needed linker option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Sep 2019 10:49:22 +0200
