=== debian/control ===
--- 
+++ 
@@ -4,31 +4,30 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
- gnat, gnat-8,
+ gnat, gnat-9,
 # This line is parsed to set gnat version.
-# dh-ada-library allowing .ada extension.
- dh-ada-library (>= 6.10),
+ dh-sequence-ada-library,
 # gprbuild building static libraries.
  gprbuild (>= 2018-3),
- libgpr2-dev (>= 2017-5),
+ libgnatprj7-dev,
 # Implicit libc6-dev provides: iconv, syslog.
 Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
+# Sphinx >= 1.6 uses the latexmk driver:
+ latexmk,
  python3-sphinx,
- latexmk,
-# Sphinx >= 1.6 uses the latexmk driver.
+ sphinx-common,
  texlive-fonts-recommended,
+ texlive-latex-extra,
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
- texlive-latex-extra
-# dh_sphinxdoc
- ,sphinx-common
 Homepage: https://www.adacore.com/community
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgnatcoll
-Vcs-Mtn: mtn://www.ada-france.org?org.debian.libgnatcoll
+Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll
+Vcs-Git: https://salsa.debian.org/debian/libgnatcoll.git
 
-Package: libgnatcoll17-dev
+Package: libgnatcoll18-dev
 # Such lines are parsed to set Ada Library Information versions.
 Section: libdevel
 Architecture: any
@@ -59,7 +58,7 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libgnatcoll17
+Package: libgnatcoll18
 # Such lines are parsed to set Shared Object versions.
 Section: libs
 Architecture: any
