=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Build script for GNATColl in Debian.
-# Copyright (c) 2014-2018 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2014-2019 Nicolas Boulenguez <nicolas@debian.org>
 
 # This build script is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -21,14 +21,14 @@
   ' debian/control),$(eval $(line)))
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
-DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,--no-undefined \
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
   -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
 
 %:
-	dh $@ --with ada-library
+	dh $@
 
 .PHONY: override_dh_auto_clean
 # We can do better than gprclean.
@@ -58,9 +58,8 @@
 # Ignore upstream install target.
 .PHONY: override_dh_auto_install
 
-# Mimic 'dh --with sphinxdoc', but without adding sphinx-common to
-# Build-Depends for arch-only builds.
-.PHONY: override_dh_installdocs-indep
-override_dh_installdocs-indep:
-	dh_installdocs -i
-	dh_sphinxdoc
+# Avoid a warning about doc-main-package.
+.PHONY: override_dh_installdocs
+override_dh_installdocs:
+	dh_installdocs --package=libgnatcoll-doc --doc-main-package=libgnatcoll-doc
+	dh_installdocs --remaining-packages
